Package org.apache.xmlbeans.impl.xb.xsdschema.impl

## Class ElementImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.xmlbeans.impl.xb.xsdschema.impl.OpenAttrsImpl
      - - org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl
        - - org.apache.xmlbeans.impl.xb.xsdschema.impl.ElementImpl

- All Implemented Interfaces:
    `Serializable`, `TypeStoreUser`, `Annotated`, `Element`, `OpenAttrs`, `SimpleValue`, `XmlObject`, `XmlTokenSource`
  Direct Known Subclasses:
    `LocalElementImpl`, `TopLevelElementImpl`

      public class ElementImpl
      extends AnnotatedImpl
      implements Element

  An XML element(@http://www.w3.org/2001/XMLSchema). This is a complex type.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Element

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.OpenAttrs

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, Factory, GREATER_THAN, LESS_THAN, NOT_EQUAL, type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ElementImpl​(SchemaType sType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `LocalComplexType` | `addNewComplexType()` | Appends and returns a new empty "complexType" element
    `Keybase` | `addNewKey()` | Appends and returns a new empty value (as xml) as the last "key" element
    `KeyrefDocument.Keyref` | `addNewKeyref()` | Appends and returns a new empty value (as xml) as the last "keyref" element
    `LocalSimpleType` | `addNewSimpleType()` | Appends and returns a new empty "simpleType" element
    `Keybase` | `addNewUnique()` | Appends and returns a new empty value (as xml) as the last "unique" element
    `boolean` | `getAbstract()` | Gets the "abstract" attribute
    `Object` | `getBlock()` | Gets the "block" attribute
    `LocalComplexType` | `getComplexType()` | Gets the "complexType" element
    `String` | `getDefault()` | Gets the "default" attribute
    `Object` | `getFinal()` | Gets the "final" attribute
    `String` | `getFixed()` | Gets the "fixed" attribute
    `FormChoice.Enum` | `getForm()` | Gets the "form" attribute
    `Keybase[]` | `getKeyArray()` | Gets array of all "key" elements
    `Keybase` | `getKeyArray​(int i)` | Gets ith "key" element
    `List<Keybase>` | `getKeyList()` | Gets a List of "key" elements
    `KeyrefDocument.Keyref[]` | `getKeyrefArray()` | Gets array of all "keyref" elements
    `KeyrefDocument.Keyref` | `getKeyrefArray​(int i)` | Gets ith "keyref" element
    `List<KeyrefDocument.Keyref>` | `getKeyrefList()` | Gets a List of "keyref" elements
    `Object` | `getMaxOccurs()` | Gets the "maxOccurs" attribute
    `BigInteger` | `getMinOccurs()` | Gets the "minOccurs" attribute
    `String` | `getName()` | Gets the "name" attribute
    `boolean` | `getNillable()` | Gets the "nillable" attribute
    `QName` | `getRef()` | Gets the "ref" attribute
    `LocalSimpleType` | `getSimpleType()` | Gets the "simpleType" element
    `QName` | `getSubstitutionGroup()` | Gets the "substitutionGroup" attribute
    `QName` | `getType()` | Gets the "type" attribute
    `Keybase[]` | `getUniqueArray()` | Gets array of all "unique" elements
    `Keybase` | `getUniqueArray​(int i)` | Gets ith "unique" element
    `List<Keybase>` | `getUniqueList()` | Gets a List of "unique" elements
    `Keybase` | `insertNewKey​(int i)` | Inserts and returns a new empty value (as xml) as the ith "key" element
    `KeyrefDocument.Keyref` | `insertNewKeyref​(int i)` | Inserts and returns a new empty value (as xml) as the ith "keyref" element
    `Keybase` | `insertNewUnique​(int i)` | Inserts and returns a new empty value (as xml) as the ith "unique" element
    `boolean` | `isSetAbstract()` | True if has "abstract" attribute
    `boolean` | `isSetBlock()` | True if has "block" attribute
    `boolean` | `isSetComplexType()` | True if has "complexType" element
    `boolean` | `isSetDefault()` | True if has "default" attribute
    `boolean` | `isSetFinal()` | True if has "final" attribute
    `boolean` | `isSetFixed()` | True if has "fixed" attribute
    `boolean` | `isSetForm()` | True if has "form" attribute
    `boolean` | `isSetMaxOccurs()` | True if has "maxOccurs" attribute
    `boolean` | `isSetMinOccurs()` | True if has "minOccurs" attribute
    `boolean` | `isSetName()` | True if has "name" attribute
    `boolean` | `isSetNillable()` | True if has "nillable" attribute
    `boolean` | `isSetRef()` | True if has "ref" attribute
    `boolean` | `isSetSimpleType()` | True if has "simpleType" element
    `boolean` | `isSetSubstitutionGroup()` | True if has "substitutionGroup" attribute
    `boolean` | `isSetType()` | True if has "type" attribute
    `void` | `removeKey​(int i)` | Removes the ith "key" element
    `void` | `removeKeyref​(int i)` | Removes the ith "keyref" element
    `void` | `removeUnique​(int i)` | Removes the ith "unique" element
    `void` | `setAbstract​(boolean xabstract)` | Sets the "abstract" attribute
    `void` | `setBlock​(Object block)` | Sets the "block" attribute
    `void` | `setComplexType​(LocalComplexType complexType)` | Sets the "complexType" element
    `void` | `setDefault​(String xdefault)` | Sets the "default" attribute
    `void` | `setFinal​(Object xfinal)` | Sets the "final" attribute
    `void` | `setFixed​(String fixed)` | Sets the "fixed" attribute
    `void` | `setForm​(FormChoice.Enum form)` | Sets the "form" attribute
    `void` | `setKeyArray​(int i, Keybase key)` | Sets ith "key" element
    `void` | `setKeyArray​(Keybase[] keyArray)` | Sets array of all "key" element WARNING: This method is not atomicaly synchronized.
    `void` | `setKeyrefArray​(int i, KeyrefDocument.Keyref keyref)` | Sets ith "keyref" element
    `void` | `setKeyrefArray​(KeyrefDocument.Keyref[] keyrefArray)` | Sets array of all "keyref" element WARNING: This method is not atomicaly synchronized.
    `void` | `setMaxOccurs​(Object maxOccurs)` | Sets the "maxOccurs" attribute
    `void` | `setMinOccurs​(BigInteger minOccurs)` | Sets the "minOccurs" attribute
    `void` | `setName​(String name)` | Sets the "name" attribute
    `void` | `setNillable​(boolean nillable)` | Sets the "nillable" attribute
    `void` | `setRef​(QName ref)` | Sets the "ref" attribute
    `void` | `setSimpleType​(LocalSimpleType simpleType)` | Sets the "simpleType" element
    `void` | `setSubstitutionGroup​(QName substitutionGroup)` | Sets the "substitutionGroup" attribute
    `void` | `setType​(QName type)` | Sets the "type" attribute
    `void` | `setUniqueArray​(int i, Keybase unique)` | Sets ith "unique" element
    `void` | `setUniqueArray​(Keybase[] uniqueArray)` | Sets array of all "unique" element WARNING: This method is not atomicaly synchronized.
    `int` | `sizeOfKeyArray()` | Returns number of "key" element
    `int` | `sizeOfKeyrefArray()` | Returns number of "keyref" element
    `int` | `sizeOfUniqueArray()` | Returns number of "unique" element
    `void` | `unsetAbstract()` | Unsets the "abstract" attribute
    `void` | `unsetBlock()` | Unsets the "block" attribute
    `void` | `unsetComplexType()` | Unsets the "complexType" element
    `void` | `unsetDefault()` | Unsets the "default" attribute
    `void` | `unsetFinal()` | Unsets the "final" attribute
    `void` | `unsetFixed()` | Unsets the "fixed" attribute
    `void` | `unsetForm()` | Unsets the "form" attribute
    `void` | `unsetMaxOccurs()` | Unsets the "maxOccurs" attribute
    `void` | `unsetMinOccurs()` | Unsets the "minOccurs" attribute
    `void` | `unsetName()` | Unsets the "name" attribute
    `void` | `unsetNillable()` | Unsets the "nillable" attribute
    `void` | `unsetRef()` | Unsets the "ref" attribute
    `void` | `unsetSimpleType()` | Unsets the "simpleType" element
    `void` | `unsetSubstitutionGroup()` | Unsets the "substitutionGroup" attribute
    `void` | `unsetType()` | Unsets the "type" attribute
    `XmlBoolean` | `xgetAbstract()` | Gets (as xml) the "abstract" attribute
    `BlockSet` | `xgetBlock()` | Gets (as xml) the "block" attribute
    `XmlString` | `xgetDefault()` | Gets (as xml) the "default" attribute
    `DerivationSet` | `xgetFinal()` | Gets (as xml) the "final" attribute
    `XmlString` | `xgetFixed()` | Gets (as xml) the "fixed" attribute
    `FormChoice` | `xgetForm()` | Gets (as xml) the "form" attribute
    `AllNNI` | `xgetMaxOccurs()` | Gets (as xml) the "maxOccurs" attribute
    `XmlNonNegativeInteger` | `xgetMinOccurs()` | Gets (as xml) the "minOccurs" attribute
    `XmlNCName` | `xgetName()` | Gets (as xml) the "name" attribute
    `XmlBoolean` | `xgetNillable()` | Gets (as xml) the "nillable" attribute
    `XmlQName` | `xgetRef()` | Gets (as xml) the "ref" attribute
    `XmlQName` | `xgetSubstitutionGroup()` | Gets (as xml) the "substitutionGroup" attribute
    `XmlQName` | `xgetType()` | Gets (as xml) the "type" attribute
    `void` | `xsetAbstract​(XmlBoolean xabstract)` | Sets (as xml) the "abstract" attribute
    `void` | `xsetBlock​(BlockSet block)` | Sets (as xml) the "block" attribute
    `void` | `xsetDefault​(XmlString xdefault)` | Sets (as xml) the "default" attribute
    `void` | `xsetFinal​(DerivationSet xfinal)` | Sets (as xml) the "final" attribute
    `void` | `xsetFixed​(XmlString fixed)` | Sets (as xml) the "fixed" attribute
    `void` | `xsetForm​(FormChoice form)` | Sets (as xml) the "form" attribute
    `void` | `xsetMaxOccurs​(AllNNI maxOccurs)` | Sets (as xml) the "maxOccurs" attribute
    `void` | `xsetMinOccurs​(XmlNonNegativeInteger minOccurs)` | Sets (as xml) the "minOccurs" attribute
    `void` | `xsetName​(XmlNCName name)` | Sets (as xml) the "name" attribute
    `void` | `xsetNillable​(XmlBoolean nillable)` | Sets (as xml) the "nillable" attribute
    `void` | `xsetRef​(XmlQName ref)` | Sets (as xml) the "ref" attribute
    `void` | `xsetSubstitutionGroup​(XmlQName substitutionGroup)` | Sets (as xml) the "substitutionGroup" attribute
    `void` | `xsetType​(XmlQName type)` | Sets (as xml) the "type" attribute

    - ### Methods inherited from class org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate, validate, validate_now, validate_simpleval, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### ElementImpl

          public ElementImpl​(SchemaType sType)

  - ### Method Detail

    - #### getSimpleType

          public LocalSimpleType getSimpleType()

      Gets the "simpleType" element
      Specified by:
        `getSimpleType` in interface `Element`

    - #### isSetSimpleType

          public boolean isSetSimpleType()

      True if has "simpleType" element
      Specified by:
        `isSetSimpleType` in interface `Element`

    - #### setSimpleType

          public void setSimpleType​(LocalSimpleType simpleType)

      Sets the "simpleType" element
      Specified by:
        `setSimpleType` in interface `Element`

    - #### addNewSimpleType

          public LocalSimpleType addNewSimpleType()

      Appends and returns a new empty "simpleType" element
      Specified by:
        `addNewSimpleType` in interface `Element`

    - #### unsetSimpleType

          public void unsetSimpleType()

      Unsets the "simpleType" element
      Specified by:
        `unsetSimpleType` in interface `Element`

    - #### getComplexType

          public LocalComplexType getComplexType()

      Gets the "complexType" element
      Specified by:
        `getComplexType` in interface `Element`

    - #### isSetComplexType

          public boolean isSetComplexType()

      True if has "complexType" element
      Specified by:
        `isSetComplexType` in interface `Element`

    - #### setComplexType

          public void setComplexType​(LocalComplexType complexType)

      Sets the "complexType" element
      Specified by:
        `setComplexType` in interface `Element`

    - #### addNewComplexType

          public LocalComplexType addNewComplexType()

      Appends and returns a new empty "complexType" element
      Specified by:
        `addNewComplexType` in interface `Element`

    - #### unsetComplexType

          public void unsetComplexType()

      Unsets the "complexType" element
      Specified by:
        `unsetComplexType` in interface `Element`

    - #### getUniqueList

          public List<Keybase> getUniqueList()

      Gets a List of "unique" elements
      Specified by:
        `getUniqueList` in interface `Element`

    - #### getUniqueArray

          public Keybase[] getUniqueArray()

      Gets array of all "unique" elements
      Specified by:
        `getUniqueArray` in interface `Element`

    - #### getUniqueArray

          public Keybase getUniqueArray​(int i)

      Gets ith "unique" element
      Specified by:
        `getUniqueArray` in interface `Element`

    - #### sizeOfUniqueArray

          public int sizeOfUniqueArray()

      Returns number of "unique" element
      Specified by:
        `sizeOfUniqueArray` in interface `Element`

    - #### setUniqueArray

          public void setUniqueArray​(Keybase[] uniqueArray)

      Sets array of all "unique" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setUniqueArray` in interface `Element`

    - #### setUniqueArray

          public void setUniqueArray​(int i,
                                     Keybase unique)

      Sets ith "unique" element
      Specified by:
        `setUniqueArray` in interface `Element`

    - #### insertNewUnique

          public Keybase insertNewUnique​(int i)

      Inserts and returns a new empty value (as xml) as the ith "unique" element
      Specified by:
        `insertNewUnique` in interface `Element`

    - #### addNewUnique

          public Keybase addNewUnique()

      Appends and returns a new empty value (as xml) as the last "unique" element
      Specified by:
        `addNewUnique` in interface `Element`

    - #### removeUnique

          public void removeUnique​(int i)

      Removes the ith "unique" element
      Specified by:
        `removeUnique` in interface `Element`

    - #### getKeyList

          public List<Keybase> getKeyList()

      Gets a List of "key" elements
      Specified by:
        `getKeyList` in interface `Element`

    - #### getKeyArray

          public Keybase[] getKeyArray()

      Gets array of all "key" elements
      Specified by:
        `getKeyArray` in interface `Element`

    - #### getKeyArray

          public Keybase getKeyArray​(int i)

      Gets ith "key" element
      Specified by:
        `getKeyArray` in interface `Element`

    - #### sizeOfKeyArray

          public int sizeOfKeyArray()

      Returns number of "key" element
      Specified by:
        `sizeOfKeyArray` in interface `Element`

    - #### setKeyArray

          public void setKeyArray​(Keybase[] keyArray)

      Sets array of all "key" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setKeyArray` in interface `Element`

    - #### setKeyArray

          public void setKeyArray​(int i,
                                  Keybase key)

      Sets ith "key" element
      Specified by:
        `setKeyArray` in interface `Element`

    - #### insertNewKey

          public Keybase insertNewKey​(int i)

      Inserts and returns a new empty value (as xml) as the ith "key" element
      Specified by:
        `insertNewKey` in interface `Element`

    - #### addNewKey

          public Keybase addNewKey()

      Appends and returns a new empty value (as xml) as the last "key" element
      Specified by:
        `addNewKey` in interface `Element`

    - #### removeKey

          public void removeKey​(int i)

      Removes the ith "key" element
      Specified by:
        `removeKey` in interface `Element`

    - #### getKeyrefList

          public List<KeyrefDocument.Keyref> getKeyrefList()

      Gets a List of "keyref" elements
      Specified by:
        `getKeyrefList` in interface `Element`

    - #### getKeyrefArray

          public KeyrefDocument.Keyref[] getKeyrefArray()

      Gets array of all "keyref" elements
      Specified by:
        `getKeyrefArray` in interface `Element`

    - #### getKeyrefArray

          public KeyrefDocument.Keyref getKeyrefArray​(int i)

      Gets ith "keyref" element
      Specified by:
        `getKeyrefArray` in interface `Element`

    - #### sizeOfKeyrefArray

          public int sizeOfKeyrefArray()

      Returns number of "keyref" element
      Specified by:
        `sizeOfKeyrefArray` in interface `Element`

    - #### setKeyrefArray

          public void setKeyrefArray​(KeyrefDocument.Keyref[] keyrefArray)

      Sets array of all "keyref" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setKeyrefArray` in interface `Element`

    - #### setKeyrefArray

          public void setKeyrefArray​(int i,
                                     KeyrefDocument.Keyref keyref)

      Sets ith "keyref" element
      Specified by:
        `setKeyrefArray` in interface `Element`

    - #### insertNewKeyref

          public KeyrefDocument.Keyref insertNewKeyref​(int i)

      Inserts and returns a new empty value (as xml) as the ith "keyref" element
      Specified by:
        `insertNewKeyref` in interface `Element`

    - #### addNewKeyref

          public KeyrefDocument.Keyref addNewKeyref()

      Appends and returns a new empty value (as xml) as the last "keyref" element
      Specified by:
        `addNewKeyref` in interface `Element`

    - #### removeKeyref

          public void removeKeyref​(int i)

      Removes the ith "keyref" element
      Specified by:
        `removeKeyref` in interface `Element`

    - #### getName

          public String getName()

      Gets the "name" attribute
      Specified by:
        `getName` in interface `Element`

    - #### xgetName

          public XmlNCName xgetName()

      Gets (as xml) the "name" attribute
      Specified by:
        `xgetName` in interface `Element`

    - #### isSetName

          public boolean isSetName()

      True if has "name" attribute
      Specified by:
        `isSetName` in interface `Element`

    - #### setName

          public void setName​(String name)

      Sets the "name" attribute
      Specified by:
        `setName` in interface `Element`

    - #### xsetName

          public void xsetName​(XmlNCName name)

      Sets (as xml) the "name" attribute
      Specified by:
        `xsetName` in interface `Element`

    - #### unsetName

          public void unsetName()

      Unsets the "name" attribute
      Specified by:
        `unsetName` in interface `Element`

    - #### getRef

          public QName getRef()

      Gets the "ref" attribute
      Specified by:
        `getRef` in interface `Element`

    - #### xgetRef

          public XmlQName xgetRef()

      Gets (as xml) the "ref" attribute
      Specified by:
        `xgetRef` in interface `Element`

    - #### isSetRef

          public boolean isSetRef()

      True if has "ref" attribute
      Specified by:
        `isSetRef` in interface `Element`

    - #### setRef

          public void setRef​(QName ref)

      Sets the "ref" attribute
      Specified by:
        `setRef` in interface `Element`

    - #### xsetRef

          public void xsetRef​(XmlQName ref)

      Sets (as xml) the "ref" attribute
      Specified by:
        `xsetRef` in interface `Element`

    - #### unsetRef

          public void unsetRef()

      Unsets the "ref" attribute
      Specified by:
        `unsetRef` in interface `Element`

    - #### getType

          public QName getType()

      Gets the "type" attribute
      Specified by:
        `getType` in interface `Element`

    - #### xgetType

          public XmlQName xgetType()

      Gets (as xml) the "type" attribute
      Specified by:
        `xgetType` in interface `Element`

    - #### isSetType

          public boolean isSetType()

      True if has "type" attribute
      Specified by:
        `isSetType` in interface `Element`

    - #### setType

          public void setType​(QName type)

      Sets the "type" attribute
      Specified by:
        `setType` in interface `Element`

    - #### xsetType

          public void xsetType​(XmlQName type)

      Sets (as xml) the "type" attribute
      Specified by:
        `xsetType` in interface `Element`

    - #### unsetType

          public void unsetType()

      Unsets the "type" attribute
      Specified by:
        `unsetType` in interface `Element`

    - #### getSubstitutionGroup

          public QName getSubstitutionGroup()

      Gets the "substitutionGroup" attribute
      Specified by:
        `getSubstitutionGroup` in interface `Element`

    - #### xgetSubstitutionGroup

          public XmlQName xgetSubstitutionGroup()

      Gets (as xml) the "substitutionGroup" attribute
      Specified by:
        `xgetSubstitutionGroup` in interface `Element`

    - #### isSetSubstitutionGroup

          public boolean isSetSubstitutionGroup()

      True if has "substitutionGroup" attribute
      Specified by:
        `isSetSubstitutionGroup` in interface `Element`

    - #### setSubstitutionGroup

          public void setSubstitutionGroup​(QName substitutionGroup)

      Sets the "substitutionGroup" attribute
      Specified by:
        `setSubstitutionGroup` in interface `Element`

    - #### xsetSubstitutionGroup

          public void xsetSubstitutionGroup​(XmlQName substitutionGroup)

      Sets (as xml) the "substitutionGroup" attribute
      Specified by:
        `xsetSubstitutionGroup` in interface `Element`

    - #### unsetSubstitutionGroup

          public void unsetSubstitutionGroup()

      Unsets the "substitutionGroup" attribute
      Specified by:
        `unsetSubstitutionGroup` in interface `Element`

    - #### getMinOccurs

          public BigInteger getMinOccurs()

      Gets the "minOccurs" attribute
      Specified by:
        `getMinOccurs` in interface `Element`

    - #### xgetMinOccurs

          public XmlNonNegativeInteger xgetMinOccurs()

      Gets (as xml) the "minOccurs" attribute
      Specified by:
        `xgetMinOccurs` in interface `Element`

    - #### isSetMinOccurs

          public boolean isSetMinOccurs()

      True if has "minOccurs" attribute
      Specified by:
        `isSetMinOccurs` in interface `Element`

    - #### setMinOccurs

          public void setMinOccurs​(BigInteger minOccurs)

      Sets the "minOccurs" attribute
      Specified by:
        `setMinOccurs` in interface `Element`

    - #### xsetMinOccurs

          public void xsetMinOccurs​(XmlNonNegativeInteger minOccurs)

      Sets (as xml) the "minOccurs" attribute
      Specified by:
        `xsetMinOccurs` in interface `Element`

    - #### unsetMinOccurs

          public void unsetMinOccurs()

      Unsets the "minOccurs" attribute
      Specified by:
        `unsetMinOccurs` in interface `Element`

    - #### getMaxOccurs

          public Object getMaxOccurs()

      Gets the "maxOccurs" attribute
      Specified by:
        `getMaxOccurs` in interface `Element`

    - #### xgetMaxOccurs

          public AllNNI xgetMaxOccurs()

      Gets (as xml) the "maxOccurs" attribute
      Specified by:
        `xgetMaxOccurs` in interface `Element`

    - #### isSetMaxOccurs

          public boolean isSetMaxOccurs()

      True if has "maxOccurs" attribute
      Specified by:
        `isSetMaxOccurs` in interface `Element`

    - #### setMaxOccurs

          public void setMaxOccurs​(Object maxOccurs)

      Sets the "maxOccurs" attribute
      Specified by:
        `setMaxOccurs` in interface `Element`

    - #### xsetMaxOccurs

          public void xsetMaxOccurs​(AllNNI maxOccurs)

      Sets (as xml) the "maxOccurs" attribute
      Specified by:
        `xsetMaxOccurs` in interface `Element`

    - #### unsetMaxOccurs

          public void unsetMaxOccurs()

      Unsets the "maxOccurs" attribute
      Specified by:
        `unsetMaxOccurs` in interface `Element`

    - #### getDefault

          public String getDefault()

      Gets the "default" attribute
      Specified by:
        `getDefault` in interface `Element`

    - #### xgetDefault

          public XmlString xgetDefault()

      Gets (as xml) the "default" attribute
      Specified by:
        `xgetDefault` in interface `Element`

    - #### isSetDefault

          public boolean isSetDefault()

      True if has "default" attribute
      Specified by:
        `isSetDefault` in interface `Element`

    - #### setDefault

          public void setDefault​(String xdefault)

      Sets the "default" attribute
      Specified by:
        `setDefault` in interface `Element`

    - #### xsetDefault

          public void xsetDefault​(XmlString xdefault)

      Sets (as xml) the "default" attribute
      Specified by:
        `xsetDefault` in interface `Element`

    - #### unsetDefault

          public void unsetDefault()

      Unsets the "default" attribute
      Specified by:
        `unsetDefault` in interface `Element`

    - #### getFixed

          public String getFixed()

      Gets the "fixed" attribute
      Specified by:
        `getFixed` in interface `Element`

    - #### xgetFixed

          public XmlString xgetFixed()

      Gets (as xml) the "fixed" attribute
      Specified by:
        `xgetFixed` in interface `Element`

    - #### isSetFixed

          public boolean isSetFixed()

      True if has "fixed" attribute
      Specified by:
        `isSetFixed` in interface `Element`

    - #### setFixed

          public void setFixed​(String fixed)

      Sets the "fixed" attribute
      Specified by:
        `setFixed` in interface `Element`

    - #### xsetFixed

          public void xsetFixed​(XmlString fixed)

      Sets (as xml) the "fixed" attribute
      Specified by:
        `xsetFixed` in interface `Element`

    - #### unsetFixed

          public void unsetFixed()

      Unsets the "fixed" attribute
      Specified by:
        `unsetFixed` in interface `Element`

    - #### getNillable

          public boolean getNillable()

      Gets the "nillable" attribute
      Specified by:
        `getNillable` in interface `Element`

    - #### xgetNillable

          public XmlBoolean xgetNillable()

      Gets (as xml) the "nillable" attribute
      Specified by:
        `xgetNillable` in interface `Element`

    - #### isSetNillable

          public boolean isSetNillable()

      True if has "nillable" attribute
      Specified by:
        `isSetNillable` in interface `Element`

    - #### setNillable

          public void setNillable​(boolean nillable)

      Sets the "nillable" attribute
      Specified by:
        `setNillable` in interface `Element`

    - #### xsetNillable

          public void xsetNillable​(XmlBoolean nillable)

      Sets (as xml) the "nillable" attribute
      Specified by:
        `xsetNillable` in interface `Element`

    - #### unsetNillable

          public void unsetNillable()

      Unsets the "nillable" attribute
      Specified by:
        `unsetNillable` in interface `Element`

    - #### getAbstract

          public boolean getAbstract()

      Gets the "abstract" attribute
      Specified by:
        `getAbstract` in interface `Element`

    - #### xgetAbstract

          public XmlBoolean xgetAbstract()

      Gets (as xml) the "abstract" attribute
      Specified by:
        `xgetAbstract` in interface `Element`

    - #### isSetAbstract

          public boolean isSetAbstract()

      True if has "abstract" attribute
      Specified by:
        `isSetAbstract` in interface `Element`

    - #### setAbstract

          public void setAbstract​(boolean xabstract)

      Sets the "abstract" attribute
      Specified by:
        `setAbstract` in interface `Element`

    - #### xsetAbstract

          public void xsetAbstract​(XmlBoolean xabstract)

      Sets (as xml) the "abstract" attribute
      Specified by:
        `xsetAbstract` in interface `Element`

    - #### unsetAbstract

          public void unsetAbstract()

      Unsets the "abstract" attribute
      Specified by:
        `unsetAbstract` in interface `Element`

    - #### getFinal

          public Object getFinal()

      Gets the "final" attribute
      Specified by:
        `getFinal` in interface `Element`

    - #### xgetFinal

          public DerivationSet xgetFinal()

      Gets (as xml) the "final" attribute
      Specified by:
        `xgetFinal` in interface `Element`

    - #### isSetFinal

          public boolean isSetFinal()

      True if has "final" attribute
      Specified by:
        `isSetFinal` in interface `Element`

    - #### setFinal

          public void setFinal​(Object xfinal)

      Sets the "final" attribute
      Specified by:
        `setFinal` in interface `Element`

    - #### xsetFinal

          public void xsetFinal​(DerivationSet xfinal)

      Sets (as xml) the "final" attribute
      Specified by:
        `xsetFinal` in interface `Element`

    - #### unsetFinal

          public void unsetFinal()

      Unsets the "final" attribute
      Specified by:
        `unsetFinal` in interface `Element`

    - #### getBlock

          public Object getBlock()

      Gets the "block" attribute
      Specified by:
        `getBlock` in interface `Element`

    - #### xgetBlock

          public BlockSet xgetBlock()

      Gets (as xml) the "block" attribute
      Specified by:
        `xgetBlock` in interface `Element`

    - #### isSetBlock

          public boolean isSetBlock()

      True if has "block" attribute
      Specified by:
        `isSetBlock` in interface `Element`

    - #### setBlock

          public void setBlock​(Object block)

      Sets the "block" attribute
      Specified by:
        `setBlock` in interface `Element`

    - #### xsetBlock

          public void xsetBlock​(BlockSet block)

      Sets (as xml) the "block" attribute
      Specified by:
        `xsetBlock` in interface `Element`

    - #### unsetBlock

          public void unsetBlock()

      Unsets the "block" attribute
      Specified by:
        `unsetBlock` in interface `Element`

    - #### getForm

          public FormChoice.Enum getForm()

      Gets the "form" attribute
      Specified by:
        `getForm` in interface `Element`

    - #### xgetForm

          public FormChoice xgetForm()

      Gets (as xml) the "form" attribute
      Specified by:
        `xgetForm` in interface `Element`

    - #### isSetForm

          public boolean isSetForm()

      True if has "form" attribute
      Specified by:
        `isSetForm` in interface `Element`

    - #### setForm

          public void setForm​(FormChoice.Enum form)

      Sets the "form" attribute
      Specified by:
        `setForm` in interface `Element`

    - #### xsetForm

          public void xsetForm​(FormChoice form)

      Sets (as xml) the "form" attribute
      Specified by:
        `xsetForm` in interface `Element`

    - #### unsetForm

          public void unsetForm()

      Unsets the "form" attribute
      Specified by:
        `unsetForm` in interface `Element`